#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    string x;
    cin >> x;
    char c1 = x[0],c2 = x[1];
    int a1,a2;
    cin >> a1 >> a2;

    if(a1 == a2+1 || a1 == a2){
        for(int i = 1; i <= a1+a2; i++) cout << (i&1 ? c1 : c2);
    }
    else if(a2 == a1+1){
        for(int i = 1; i <= a1+a2; i++) cout << (i&1 ? c2 : c1);
    }
    else{
        cout << "nemoguce";
    }
    cout << endl;
}